function [result] = classes_principales()

%
%+
%
% =====================
% classes_principales.m
% =====================
%
% .. function:: classes_principales()
%
% DESCRIPTION
% ===========
%
% produit les figures utilises par :file:`classes_principales.tex`
%
% EXAMPLES
% ========
%
% Voir la 'demo'.
%
% SEE ALSO
% ========
%
% :file:`classes_principales.tex`
%
% :func:`read_lai_gis`
% :func:`plot_lai_gis`
%
% TODO
% ====
%
% '"Savane  arbustive boisee"' : 2 blancs ... a corriger dans les fichiers de donnes
%
% complete list of call to plot_lai_gis
%
% handling errors
%
% EVOLUTIONS
% ==========
%
% $Id$
%
% $URL$
%
% - fplod 20110921T134421Z cratos (Linux)
%
%   * add missing end of the function
%
% - fplod 20110909T120927Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * creation
%
%-
result=-1;
%
usage='[result] = classes_principales()';
if nargin~=nargin(mfilename)
   disp(['Incorrect number of input arguments ' num2str(nargin)]);
   error(usage)
end
%
if nargout ~= nargout(mfilename)
   disp(['Incorrect number of output arguments ' num2str(nargout)]);
   error(usage);
end

yyyy = uint16(2008);
imageprefix='lai_2008_';

% read data ferlo 2008
zi_code = 'ferlo';
nbligne = uint16(0);
[lon_value, lat_value, datejul_value, datestr_value, lai_value, classes_value, msdnom_value] = read_lai_gis(yyyy, nbligne, zi_code);
%
msdnom_select = '';
%
classes_select = '"Savane arboree"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix);
%
classes_select = '"Savane arbustive arboree"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix);
%
classes_select = '"Savane  arbustive boisee"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix);
%
classes_select = '"Savane arbustive"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix);
%
classes_select = '"Savane boisee"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix);
%
classes_select = '"Savane herbacee et arbustive"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix);
%
classes_select = '"Steppe arbustive arboree"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix);
%
classes_select = '"Zones de cultures"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix);
%
% read data barkeji 2008
zi_code = 'barkedji';
nbligne = uint16(0);
seuil = uint16(30);

[lon_value, lat_value, datejul_value, datestr_value, lai_value, classes_value, msdnom_value] = read_lai_gis(yyyy, nbligne, zi_code);
%
msdnom_select = '"FERRUGINEUX TROPICAUX"';
%
classes_select = '"Savane arbustive arboree"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix, seuil);
%
classes_select = '"Savane herbacee et arbustive"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix, seuil);
%
classes_select = '"Savane arbustive"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix, seuil);
%
classes_select = '"Zones de cultures"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix, seuil);
%
classes_select = '"Savane boisee"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix, seuil);
%
classes_select = '"Steppe arbustive"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix, seuil);
%
classes_select = '"Steppe arbustive arboree"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix, seuil);
%
msdnom_select = '"HYDROMORPHES"';
%
classes_select = '"Savane herbacee et arbustive"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix, seuil);
%
classes_select = '"Steppe arbustive arboree"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix, seuil);
%
classes_select = '"Steppe herbacee"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix, seuil);
%
classes_select = '"Zones de cultures"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix, seuil);
%
classes_select = '"Savane boisee"';
[lai_mean, lai_std] = plot_lai_gis(datejul_value, datestr_value, lai_value, classes_value, msdnom_value, classes_select, msdnom_select, zi_code, imageprefix, seuil);
%
result=0;
%
end

%!demo
%! close all
%! clear all
%! varamma_startup;
%! more off
%! [result] = classes_principales();
