function [long,lat,imageamsu]=plotimageAMSU(date,heure,lonmin,lonmax,latmin,latmax)

%+
%
% .. _plotimageAMSU.m:
%
% ===============
% plotimageAMSU.m
% ===============
%
% DESCRIPTION
% ===========
%
% ``plotimageAMSU`` read AMSU NetCDF file in :file:`${PROJECT_ID}/{yyyy}/{mm}/`.
%
% +todo+ calcule
%
% +todo+ dessine
%
% EXAMPLES
% ========
%
% To plot channel 5 temperature brillance of AMSU data on 2006-08-02 at time 175432:
%
% see demo 1
%
% SEE ALSO
% ========
%
% :ref:`data_amsu`
%
% :ref:`varamma_startup.m`
%
% TODO
% ====
%
% date yyyymmdd (not like now mmdd)
%
% get rid of mlint output
%
% use readAMSU
%
% new filename convention
%
% EVOLUTIONS
% ==========
%
% $Id: plotimageAMSU.m 325 2011-08-04 15:30:01Z pinsard $
%
% $URL$
%
% - fplod 20110920T091450Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * replace num2str(yyyy) by int2str(yyyy) because octave error
%     on cratos
%
% - fplod 20110610T085749Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * move example to demo
%   * correction for Y axis direction
%
% - fplod 20100726T124214Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * files must be in ${PROJECT_ID}/AMSU/yyyy/mm/
%
% - fplod 20100608T113515Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * make it work running with matlab 7.4
%
% - fplod 20100604T093734Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * minimize mlint output
%
% - fplod 20100604T083004Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * add usage of varamma_startup : no more chemin parameter, PROJECT_ID value
%     used instead
%
% - fplod 20100525T124910Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * add example
%
% - fplod 20100521T150917Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * minimal header
%
% - lelod 20100521
%
%-
% exemple de lecture d'un fichier netcdf et de trace d'une image
% dans le domaine 10 - 20 N et W
%'exemple date 0818'
%'heure 181344'

global application;
global PROJECT_ID;
global PROJECT_OD;

usage='[long,lat,imageamsu]=plotimageAMSU(date,heure,lonmin,lonmax,latmin,latmax)';
if nargin~=nargin(mfilename)
   disp(['Incorrect number of input arguments ' num2str(nargin)]);
   error(usage);
end
%
if nargout ~= nargout(mfilename)
   disp(['Incorrect number of output arguments ' num2str(nargout)]);
   error(usage);
end
%
% init year +todo+ must be a parameter
yyyy=uint16(2006);
% +todo+ mm should  be a parameter
mm=substr(date,1,2);

z_deb=[latmin lonmin];
z_fin=[latmax lonmax];

file=['amsubch5-noaa15_',int2str(yyyy),date,'-',heure,'_afratl_Nadir.nc'];
file=[PROJECT_ID,'/AMSU/',int2str(yyyy),'/',mm,'/',file];
file
%ncdump(file);
file=netcdf(file,'nowrite');
time=file{'time'};
lon=file{'lon'};
lat=file{'lat'};
tbamsu=file{'tbch5b'};
mask=file{'mask'};

la=find(lat(:)>z_deb(1) & lat(:)<z_fin(1));
lo=find(lon(:)>z_deb(2) & lon(:)<z_fin(2));
latit=lat(la);
longi=lon(lo);
imageamsu=squeeze(tbamsu(1,la,lo));
imageamsu(find(imageamsu == -999)) = NaN;
[x,y]=meshgrid(longi,latit);
figure(2)
%limits=[0,350];
switch application
   case {'matlab'}
      imagesc(longi,latit,imageamsu);
   case {'octave'}
      imagesc(x,y,imageamsu);
   otherwise
      error('unknown application running');
end
set(gca,'Ydir','reverse');
xlabel('longitude');
ylabel('latitude');
title('amsubch5');
set(gca,'Ydir','normal');
%colorbar('YTick',[1:1:10.5],'YTickLabel','fontsize',8);
colorbar('WestOutside');

%!demo
%! % To plot channel 5 temperature brillance of AMSU data on 2006-08-02 at time 175432::
%! clear all
%! close all
%! varamma_startup
%! more off
%! date = '0802';
%! heure = '175432';
%! tseuil = 239;
%! lonmin = -20;
%! lonmax = -10;
%! latmin = 10;
%! latmax = 20;
%! [long,lat,imageamsu] = plotimageAMSU(date,heure,lonmin,lonmax,latmin,latmax);
