%+
%
% .. _testInterp2D.m:
%
% ==============
% testInterp2D.m
% ==============
% 
% DESCRIPTION
% ===========
%
% EVOLUTIONS
% ==========
%
% $Id$
%
% $URL: svn+ssh://pinsard@forge.ipsl.jussieu.fr/ipsl/forge/projets/varamma/svn/trunk/src/testInterp2D.m $
%
% - fplod 20110705T125628Z cratos.locean-ipsl.upmc.fr (Linux)
%
%   * minimal header
%
%-
latmin = 10;
latmax = 20;
lonmin = -20;
lonmax = -10;

filename='msg-tb108_2006-07-27_15min.nc';

repertoire = 'C:\Users\Jas\Desktop\Documents de Travail\S6\Stage au labo LOCEAN\Matlab\MSG\';
path(path,repertoire);

ncid = netcdf.open(filename, 'NC_NOWRITE');
Temps = netcdf.getVar(ncid,3);
Longitudes = netcdf.getVar(ncid,1);
Latitudes = netcdf.getVar(ncid,2);

startlat = find(Latitudes>=latmin, 1 );
countlat = find(Latitudes<=latmax, 1, 'last' ) - startlat +1;
startlon = find(Longitudes>=lonmin, 1 );
countlon = find(Longitudes<=lonmax, 1, 'last' ) - startlon +1;

Latitudes = Latitudes(Latitudes>=latmin & Latitudes<=latmax);
Longitudes = Longitudes(Longitudes>=lonmin & Longitudes<=lonmax);

TbMSG = netcdf.getVar(ncid,0,[startlon-1 startlat-1 0],...
    [countlon countlat size(Temps,1)]);

TbMSG = TbMSG*0.01+327.68;

ij_TbMoy = mean(TbMSG,3);

xi = 1 : (size(ij_TbMoy,1)-1)/99 : size(ij_TbMoy,1);
yi = (1 : (size(ij_TbMoy,2)-1)/99 : size(ij_TbMoy,2))';

ij_TbMoy_interp = interp2(ij_TbMoy,xi,yi);

load coast

subplot(1,2,1);
image = imagesc(Longitudes,Latitudes,ij_TbMoy');
set(image,'alphadata',~isnan(ij_TbMoy'));
axis([lonmin lonmax latmin latmax])
hold on
set(gca,'ydir','normal')
coast = plot(long,lat,'k-');
Title = title('Donnes originelles');
xlabel('Longitudes')
ylabel('Latitudes')
grid on
status_ticklatlon=ticklatlon();

subplot(1,2,2);
image2 = imagesc(Longitudes,Latitudes,ij_TbMoy_interp');
set(image2,'alphadata',~isnan(ij_TbMoy_interp'));
axis([lonmin lonmax latmin latmax])
hold on
set(gca,'ydir','normal')
coast2 = plot(long,lat,'k-');
Title2 = title('Donnes interpoles');
xlabel('Longitudes')
ylabel('Latitudes')
grid on
ticklatlon
